package com.ssj.framework.weixin.card.bean;

import java.io.Serializable;

public class UpdateMemberInfo implements Serializable{

	 /**
	 * 
	 */
	private static final long serialVersionUID = 6193921007269238393L;
	private String code; //卡号
	 private String card_id; //卡券id
	 private String background_pic_url; //背景图片128
	 private Integer bonus;  //需要设置的积分全量值，传入的数值会直接显示 
	 private Integer add_bonus; //本次积分变动值，传负数代表减少
	 private String record_bonus; //商家自定义积分消耗记录，不超过14个汉字
	 private Integer balance;  //需要设置的余额全量值，传入的数值会直接显示在卡面
	 private Integer add_balance; //本次余额变动值，传负数代表减少
	 private String record_balance ;//商家自定义金额消耗记录，不超过14个汉字。            
	 private String custom_field_value1; //创建时字段custom_field1定义类型的最新数值，限制为4个汉字，12字节。      
	 private String custom_field_value2; //创建时字段custom_field2定义类型的最新数值，限制为4个汉字，12字节。 
	 private String custom_field_value3; //创建时字段custom_field3定义类型的最新数值，限制为4个汉字，12字节。       
	 private  NotifyOptional      notify_optional; //控制原生消息结构体，包含各字段的消息控制字段
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getCard_id() {
		return card_id;
	}
	public void setCard_id(String card_id) {
		this.card_id = card_id;
	}
	public String getBackground_pic_url() {
		return background_pic_url;
	}
	public void setBackground_pic_url(String background_pic_url) {
		this.background_pic_url = background_pic_url;
	}
	public Integer getBonus() {
		return bonus;
	}
	public void setBonus(Integer bonus) {
		this.bonus = bonus;
	}
	public Integer getAdd_bonus() {
		return add_bonus;
	}
	public void setAdd_bonus(Integer add_bonus) {
		this.add_bonus = add_bonus;
	}
	public String getRecord_bonus() {
		return record_bonus;
	}
	public void setRecord_bonus(String record_bonus) {
		this.record_bonus = record_bonus;
	}
	public Integer getBalance() {
		return balance;
	}
	public void setBalance(Integer balance) {
		this.balance = balance;
	}
	public Integer getAdd_balance() {
		return add_balance;
	}
	public void setAdd_balance(Integer add_balance) {
		this.add_balance = add_balance;
	}
	public String getRecord_balance() {
		return record_balance;
	}
	public void setRecord_balance(String record_balance) {
		this.record_balance = record_balance;
	}
	public String getCustom_field_value1() {
		return custom_field_value1;
	}
	public void setCustom_field_value1(String custom_field_value1) {
		this.custom_field_value1 = custom_field_value1;
	}
	public String getCustom_field_value2() {
		return custom_field_value2;
	}
	public void setCustom_field_value2(String custom_field_value2) {
		this.custom_field_value2 = custom_field_value2;
	}
	public String getCustom_field_value3() {
		return custom_field_value3;
	}
	public void setCustom_field_value3(String custom_field_value3) {
		this.custom_field_value3 = custom_field_value3;
	}
	public NotifyOptional getNotify_optional() {
		return notify_optional;
	}
	public void setNotify_optional(NotifyOptional notify_optional) {
		this.notify_optional = notify_optional;
	}
	 
}
